Bug 493546 - F11-Beta-x86_64-Live.iso - install - update - boot error
F11-Beta-x86_64-Live.iso - install - update - boot error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
 
Reported: 2009-04-02 04:07 EDT by Flóki Pálsson
Modified: 2010-06-28 07:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
df and fdisk -l (4.29 KB, text/plain)
2009-04-02 04:07 EDT, Flóki Pálsson
no flags Details
png from nautilus (142.49 KB, image/png)
2009-04-02 04:10 EDT, Flóki Pálsson
no flags Details
resut off booting png (2.59 MB, image/jpeg)
2009-04-02 14:30 EDT, Flóki Pálsson
no flags Details
/tmp/anaconda.log (51.50 KB, text/plain)
2009-04-14 15:23 EDT, Flóki Pálsson
no flags Details
/tmp/program.log (72.90 KB, text/plain)
2009-04-14 15:24 EDT, Flóki Pálsson
no flags Details
syslog the only one I can find not in /tmp (228 bytes, text/plain)
2009-04-14 15:26 EDT, Flóki Pálsson
no flags Details
/tmp/storage.log (78.99 KB, text/plain)
2009-04-14 15:28 EDT, Flóki Pálsson
no flags Details

  None (edit)
Description Flóki Pálsson 2009-04-02 04:07:53 EDT
Created attachment 337737 [details]
df and fdisk -l

Description of problem:
After installing from F11-Beta-x86_64-Live.iso and update from menu,
then it is not possible to boot. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
boot from cd F11-Beta-x86_64-Live.iso.  All default settings. Except time and 
to only use disk sdc.
2.
Finish innstall and then update 
3.
after update ( installing package) seamed finished, but did not completed.
(was using cd ).  Then shut down with power button.
    
  
Actual results:
boot into grub

Expected results:
boot into F11

Additional info:
I have also tried to install from Fedora-10-Beta-x86_64-DVD.iso with similar result. In DVD install there was to warnings ( errors ) on something about not to able to figure out computer disks ( if  remember right ) the other was some phyton ( ???)  warning.
I have also tried to install from live cd and reboot after installation and then after reboot was booted into grub.
Disk sdc  is 500.1 GB but it lokks like that F11 asumes it is about 250 GB.
Comment 1 Flóki Pálsson 2009-04-02 04:10:12 EDT
Created attachment 337741 [details]
png from nautilus
Comment 2 Chris Lumens 2009-04-02 10:05:37 EDT
So what exactly is the problem here?  If anaconda is giving you an error, please attach the complete error message to this bug so we can fix it.  If your computer is failing to boot, please fully describe exactly what behavior you are seeing so we can determine what is wrong.  Thanks.
Comment 3 Flóki Pálsson 2009-04-02 14:30:16 EDT
Created attachment 337868 [details]
resut off booting png
Comment 4 Flóki Pálsson 2009-04-12 08:20:06 EDT
Same problem with Fedora-11-Snap1-x86_64-Live.iso.
Comment 5 Chris Lumens 2009-04-13 13:21:37 EDT
Looks like the bootloader was not installed correctly.  Once the install is complete but before you reboot, can you attach /tmp/anaconda.log, /tmp/program.log, and /tmp/syslog to this bug report?  Thanks.
Comment 6 Flóki Pálsson 2009-04-14 15:23:05 EDT
Created attachment 339553 [details]
/tmp/anaconda.log
Comment 7 Flóki Pálsson 2009-04-14 15:24:14 EDT
Created attachment 339555 [details]
/tmp/program.log
Comment 8 Flóki Pálsson 2009-04-14 15:26:12 EDT
Created attachment 339556 [details]
syslog the only one I can find not in /tmp
Comment 9 Flóki Pálsson 2009-04-14 15:28:53 EDT
Created attachment 339561 [details]
/tmp/storage.log
Comment 10 Flóki Pálsson 2009-04-14 16:54:23 EDT
Before installing F11 then I cleaned all partition off install disk sdc with gparted from F10.
Comment 11 Chris Lumens 2009-04-15 17:14:41 EDT
I see two potential problems here.  First, there's a reference to /mnt/sysimage/mnt/boot which seems wrong.  Second, your /boot partition is on /dev/sdc1 and yet the grub command being run in the program.log indicates it's looking for (hd0,0)/grub.conf.  That would most certainly explain why you're not getting anything more than the prompt.  Martin - can you take a look here and see what might be going on?  We could perhaps be constructing the wrong device.map in booty.  Thanks.
Comment 12 Martin Sivák 2009-04-16 05:40:39 EDT
Can I get the /mnt/sysimage/boot/grub/device.map file too please?

And can you please try following command from the grub prompt you have after the instalation and give us the results?

find /grub/stage1

Also, can you describe the drives you have? `cat /proc/partitions` will suffice (output of `fdisk -l drive` for all drives would be better though).
Comment 13 Martin Sivák 2009-04-16 05:52:12 EDT
Ah sorry, nevermind about the fdisk, i overlooked one of the attachments.
Comment 14 Martin Sivák 2009-04-16 05:57:38 EDT
And I see you have choosen to use only sdc,

"boot from cd F11-Beta-x86_64-Live.iso.  All default settings. Except time and 
to only use disk sdc."

But you have /boot also on the sdb drive (and sda is bootable as well). Did you check that BIOS is using the correct drive to boot?

Anyways, try the grub find command and make sure you are booting the correct (sdc) grub.
Comment 15 Flóki Pálsson 2009-04-16 07:28:29 EDT
>But you have /boot also on the sdb drive (and sda is bootable as well). Did you
>check that BIOS is using the correct drive to boot?

Yes I am quite sure I was botting from scd in bios.

I can install F11 on sdc if I use preformated partitions.
( I dont know how to write corectly boot secor on sdc.  I boot into F11 form sdb ( F10))  

>Anyways, try the grub find command and make sure you are booting the correct
>(sdc) grub.  

I will try later to day.
Comment 16 Flóki Pálsson 2009-04-16 14:09:57 EDT
I can not find i F11 after innstaqll
/mnt/sysimage/boot/grub/device.map

[liveuser@localhost ~]$ su -
[root@localhost ~]# cd /mnt/sysimage/boot/grub
-bash: cd: /mnt/sysimage/boot/grub: No such file or directory
[root@localhost ~]# 


from gedit  
Could not find the file /mnt/sysimage/boot/grub/device.map.

[root@localhost /]# cd /mnt/sysimage
[root@localhost sysimage]# ll
total 16
drwxr-xr-x. 2 root root 4096 2009-04-16 17:30 boot
drwxr-xr-x. 2 root root 4096 2009-04-16 17:30 dev
drwxr-xr-x. 2 root root 4096 2009-04-16 17:30 proc
drwxr-xr-x. 2 root root 4096 2009-04-16 17:30 sys
[root@localhost sysimage]# cd boot
[root@localhost boot]# ll
total 0
[root@localhost boot]# 

/mnt/sysimage/boot/grub/device.map

[liveuser@localhost ~]$ su -
[root@localhost ~]# cd /mnt/sysimage/boot/grub
-bash: cd: /mnt/sysimage/boot/grub: No such file or directory
[root@localhost ~]# 

F11 after innstall
from gedit  
Could not find the file /mnt/sysimage/boot/grub/device.map.

[root@localhost /]# cd /mnt/sysimage
[root@localhost sysimage]# ll
total 16
drwxr-xr-x. 2 root root 4096 2009-04-16 17:30 boot
drwxr-xr-x. 2 root root 4096 2009-04-16 17:30 dev
drwxr-xr-x. 2 root root 4096 2009-04-16 17:30 proc
drwxr-xr-x. 2 root root 4096 2009-04-16 17:30 sys
[root@localhost sysimage]# cd boot
[root@localhost boot]# ll
total 0
[root@localhost boot]# 

[root@localhost boot]# pwd
/mnt/sysimage/boot
[root@localhost boot]# ll
total 0
[root@localhost boot]#
Comment 17 Martin Sivák 2009-04-16 14:20:42 EDT
Nevermind about the device.map, I found it together with the fdisk output. Just test the find command in grub prompt please.
Comment 18 Flóki Pálsson 2009-04-16 14:29:20 EDT
After install F11 
in grub 
find /grub/stage1 
responce
(hd2,0)
Comment 19 Chris Lumens 2009-04-23 15:35:08 EDT
I believe this was caused by a problem with passing arguments to grub-install that ought to be fixed by 5e184c33a83eedc7dd71c5fc6a8e5586d6639d95.  Please test the next preview release and if you are still experiencing problems, let us know.  Thanks.
Comment 20 Flóki Pálsson 2009-04-29 15:55:11 EDT
Tested with F11-Preview-x86_64-Live.iso
Same problem.
same as in #18
Comment 21 Bug Zapper 2009-06-09 09:04:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Flóki Pálsson 2009-06-10 19:47:25 EDT
Tested with Fedora-11-x86_64-Live.iso.
Same problem.

When all disks are unplugged and  /dev/sdc: 500.1 GB, 500107862016 bytes is only hard  disk ( then as sda)  same problem trying to install to disk 
 fdisk -l  ( form F10 and disk reconnected )
Disk /dev/sdc: 500.1 GB, 500107862016 bytes
255 heads, 63 sectors/track, 60801 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x000ea98f

   Device Boot      Start         End      Blocks   Id  System
/dev/sdc1   *           1          26      204800   83  Linux
Partition 1 does not end on cylinder boundary.
/dev/sdc2              26       60801   488179201   8e  Linux LVM
Comment 23 Flóki Pálsson 2009-11-08 05:40:39 EST
Tested with Fedora-12-x86_64-DVD.iso rc1 
same result.
Comment 24 Bug Zapper 2010-04-27 09:26:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Bug Zapper 2010-06-28 07:39:21 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.